﻿@model LoyaltyPointEngine.Model.Object.Facebook.FacebookPostModel
@{
    string FacebookApplicationID = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.FacebookApplicationID);
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Detail Post</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Detail Post</h4>
            </div>
            <div class="widget-content">
                <div class="form-horizontal row-border">
                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">FB PostID <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.PostId, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Content <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.message, 10, 50, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Created Date <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Model.created_time
                        </div>
                    </div>


                    <div class="form-group">
                        <label class="col-md-3 control-label">Action <span class="required">*</span></label>
                        <div class="col-md-9">

                            <select id="ddl-synch-fb-type">
                                <option value="like">Like</option>
                                <option value="comment">Comment</option>
                                <option value="both">Both</option>                              
                            </select>
                            <input type="button"  class="btn btn-primary" id="btn-trigger-synch-fb" value="Synch" />

                            <a href="javascript:void(0)" class="btn btn-icon input-block-level" id="btn-synch-fb-like-and-comment" style="display: none">
                                <i class="icon-heart"></i>
                                <div>Synch Like & Comment</div>
                            </a>
                        </div>
                    </div>


                </div>

            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
<!-- LIKE SECTION -->
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>All Like</h4>
                <a href="javascript:void(0)" class="btn btn-icon input-block-level" id="btn-synch-fb-like">
                    <i class="icon-heart"></i>
                    <div>Synch Like</div>
                </a>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(MVC.Facebook.GridGetAllLikePager(), FormMethod.Post, new { id = "gridSeachLike", Action = "form" }))
                {
                    <input type="hidden" name="PostID" value="@Model.ID">
                    <input type="text" name="txtSearch" class="form-control box-search" placeholder="Search Like">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllLike", new { ID = Model.ID })
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>
<!-- COMMENT SECTION -->
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>All Comment</h4>
                <a href="javascript:void(0)" class="btn btn-icon input-block-level" id="btn-synch-fb-comment">
                    <i class="icon-comments"></i>
                    <div>Synch Comment</div>
                </a>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(MVC.Facebook.GridGetAllCommentPager(), FormMethod.Post, new { id = "gridSeachComment", Action = "form" }))
                {
                    <input type="hidden" name="PostID" value="@Model.ID">
                    <input type="text" name="txtSearch" class="form-control box-search" placeholder="Search comment">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllComment", new { ID = Model.ID })
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>
@section FooterScript{
    <script>
        (function () {
            var gridNameComment = 'AllFacebookComment';
            var pagingUrlComment = '@Url.Action(MVC.Facebook.GridGetAllCommentPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridNameComment].ajaxify({
                getData: pagingUrlComment,
                getPagedData: pagingUrlComment,
                gridFilterForm: $('#gridSeachComment')
            });


        }())
    </script>
    <script>
        (function () {
            var gridNameLike = 'AllFacebookLike';
            var pagingUrlLike = '@Url.Action(MVC.Facebook.GridGetAllLikePager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridNameLike].ajaxify({
                getData: pagingUrlLike,
                getPagedData: pagingUrlLike,
                gridFilterForm: $('#gridSeachLike')
            });
        }())
    </script>
    <script src="@Links.Assets.assets.js.Facebook.Like_js?v1"></script>
    <script src="@Links.Assets.assets.js.Facebook.Comment_js?v1"></script>
    <script>
        var LikeController = new LikeController();
        var CommentController = new CommentController();
        $(document).bind('fbInit', function () {
            LikeController.url_api = '@Url.Action(MVC.Facebook.PopulateLikeFromFacebook())';
            LikeController.url_api_both = '@Url.Action(MVC.Facebook.PopulateLikeAndCommentFromFacebook())';
            LikeController.PostId = '@Model.ID';
            LikeController.Initialize();

            CommentController.url_api = '@Url.Action(MVC.Facebook.PopulateCommentFromFacebook())';
            CommentController.PostId = '@Model.ID';
            CommentController.Initialize();
        });
    </script>
}


@section BodyScript{
    <script>
        window.fbAsyncInit = function () {
            FB.init({
                appId: '@FacebookApplicationID',
                xfbml: true,
                version: 'v2.7'
            });
            $(document).trigger('fbInit');
        };

        (function (d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) { return; }
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));
    </script>

}